# Class Util.ParameterizedTypeImpl

java.lang.Object
com.ryanharter.auto.value.gson.internal.Util.ParameterizedTypeImpl

All Implemented Interfaces:
  `ParameterizedType, Type`

Enclosing class:
  `Util`

public static final class Util.ParameterizedTypeImpl extends Object implements ParameterizedType

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`Type[]`
`getActualTypeArguments()`
`@Nullable Type`
`getOwnerType()`
`Type`
`getRawType()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Type

`getTypeName`

## Method Details

### getActualTypeArguments

public Type[] getActualTypeArguments()

Specified by:
  `getActualTypeArguments` in interface `ParameterizedType`

### getRawType

public Type getRawType()

Specified by:
  `getRawType` in interface `ParameterizedType`

### getOwnerType

@Nullable public @Nullable Type getOwnerType()

Specified by:
  `getOwnerType` in interface `ParameterizedType`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`